Skip to main content
Infrastructure/Agents
POSTAgentSince 1.0SynchronousAuth Required

ManualRestart

Manually restart a plugin process on the specified agent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • agentIdStringRequired

    UUID of the agent running the plugin

  • pluginIdStringRequired

    Unique identifier of the plugin to restart

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/api/v1/agents/{agentId}/plugins/{pluginId}/restart

/api/v1/agents/{agentId}/plugins/{pluginId}/restart

Operation ID

ManualRestart

Permalink

Request Example

curl -X POST '{host}/api/v1/agents/{agentId}/plugins/{pluginId}/restart' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history